/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.client.client;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.ImageResource;


/**
 * This interface grants access to the images used in this application.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface FLYSImages extends ClientBundle {

    @Source("images/bfg_logo.gif")
    ImageResource logoBfg();

    @Source("images/flys_logo.gif")
    ImageResource logoFlys();

    @Source("images/FLYS_Karte.png")
    ImageResource riverMap();

    @Source("images/marker_red.png")
    ImageResource markerRed ();

    @Source("images/marker_green.png")
    ImageResource markerGreen ();

    @Source("images/loading.gif")
    ImageResource loading();

    @Source("images/downloadPNG.png")
    ImageResource downloadPNG();

    @Source("images/downloadPDF.png")
    ImageResource downloadPDF();

    @Source("images/downloadSVG.png")
    ImageResource downloadSVG();
}
